Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackSocketServerChannel Class Reference

JackServerChannel using sockets. More...

`#include <JackSocketServerChannel.h>`

Inheritance diagram for Jack::JackSocketServerChannel:

## Public Member Functions
int | Open (const char *server_name, JackServer *server)
void | Close ()
int | Start ()
void | Stop ()
bool | Init ()
bool | Execute ()

## Detailed Description

JackServerChannel using sockets.

Definition at line 39 of file JackSocketServerChannel.h.

## Member Function Documentation

## ◆ Init()

bool Jack::JackSocketServerChannel::Init | ( |  | ) |
| virtual

Called once when the thread is started

Reimplemented from Jack::JackRunnableInterface.

Definition at line 211 of file JackSocketServerChannel.cpp.

The documentation for this class was generated from the following files:

- JackSocketServerChannel.h
- JackSocketServerChannel.cpp